class Classification < ActiveRecord::Base

  # Return the Hex-code for a classification's color
  def self.find_label(label)
    cls_hash_init() if !@cls_hash
    @cls_hash[label]
  end

protected
  def self.cls_hash_init()
    @cls_hash = {}
    find(:all).each {|c| @cls_hash[c.label] = c }
  end
end
