require 'node'

# InternalNodes are nodes in the database that belong to a tree, for a single
# revision.
class InternalNode < ActiveRecord::Base
  include Node

  # This is unused right now
  #attr :collapsed, true

  # Tells if the node is a terminal node or internal node (This method is
  # common) to the InternalNode and TerminalNode classes
  # @return Returns true if the node is a terminal node, and false if it is
  #         an internal node
  def terminal
    false
  end
end
