class CreateColors < ActiveRecord::Migration
  def self.up
    # ring is 0=ether, 1=ipv4, 2=tcp, 3=udp
    execute %{CREATE TABLE colors
              (id                 INT UNSIGNED NOT NULL AUTO_INCREMENT,
               label              VARCHAR(100) NOT NULL,
               ring               TINYINT UNSIGNED NOT NULL,
               color              CHAR(7) NOT NULL,

               PRIMARY KEY (id),
               UNIQUE KEY (label))
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE colors'
  end
end
